'use strict';
module.exports = {
  plugins: ['eslint-plugin-hapi'],
  env: {
    node: true,
    es6: true
  },
  rules: {
    'camelcase': 0,
    'consistent-return': 0,
    'vars-on-top': 0,
    'new-cap': 0,
    'no-console': 0,
    'no-constant-condition': 0,
    'no-empty': 0,
    'no-native-reassign': 0,
    'no-underscore-dangle': 0,
    'no-undef': 0,
    'no-process-exit': 0,
    'no-unused-expressions': 0,
    'no-regex-spaces': 0,
    'no-catch-shadow': 0,
    'no-lonely-if': 0,
    'brace-style': [1, 'stroustrup'],
    'no-shadow': [1, { 'allow': ['err', 'done'] }],
    'no-unused-vars': [1, { vars: 'all', varsIgnorePattern: '^internals$', 'args': 'none' }],
    'one-var': [2, 'never'],
    'handle-callback-err': [2, '^(e|err|error)$'],
    'hapi/hapi-capitalize-modules': [1, 'global-scope-only'],
    'hapi/hapi-for-you': [1, { maxDepth: 3, startIterator: 'i' }],
    'hapi/hapi-scope-start': 1,
    'array-bracket-spacing': 1,
    'dot-notation': 1,
    'eol-last': 1,
    'no-trailing-spaces': 1,
    'no-eq-null': 1,
    'no-extend-native': 1,
    'no-redeclare': 1,
    'no-loop-func': 1,
    'yoda': [1, 'never'],
    'sort-vars': 1,
    'arrow-parens': [2, 'always'],
    'arrow-spacing': [2, { 'before': true, 'after': true }],
    'hapi/no-arrowception': 2,
    'quotes': [2, 'single'],
    'consistent-this': [2, 'self'],
    'new-parens': 2,
    'no-array-constructor': 2,
    'no-arrow-condition': 2,
    'no-new-object': 2,
    'no-spaced-func': 2,
    'no-mixed-spaces-and-tabs': 2,
    'space-after-keywords': 2,
    'semi': [2, 'always'],
    'semi-spacing': [2, { 'before': false, 'after': true }],
    'space-infix-ops': 2,
    'space-return-throw-case': 2,
    'space-unary-ops': [1, { 'words': true, 'nonwords': false }],
    'strict': [2, 'global'],
    'eqeqeq': 2,
    'curly': [2, 'all'],
    'no-eval': 2,
    'no-else-return': 2,
    'no-return-assign': 2,
    'no-new-wrappers': 2,
    'comma-dangle': [2, 'never'],
    'no-sparse-arrays': 2,
    'no-ex-assign': 2,
    'no-var': 2,
    'prefer-arrow-callback': 2,
    'prefer-const': 2,
    'indent': [2, 4, { 'SwitchCase': 1 }],
    'space-before-function-paren': [2, { 'anonymous': 'always', 'named': 'never' }],
    'func-style': [2, 'expression'],
    'object-curly-spacing': [2, 'always']
  }
};
